Bug 829964 - incorrect user agent string
incorrect user agent string
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-07 17:53 EDT by Russ
Modified: 2012-06-11 08:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-11 08:39:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russ 2012-06-07 17:53:09 EDT
Description of problem:
An incorrect user agent string is shown for Firefox 12

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install firefox
2. check user agent at http://whatsmyuseragent.com/
3. verify user agent
Actual results:
Mozilla/5.0 (Windows NT 6.1; rv:10.0) Gecko/20100101 Firefox/10.0

Expected results:
Mozilla/5.0 (Windows NT 6.1; rv:12.0) Gecko/20100101 Firefox/12.0

Additional info:

We need the most current user agent string in Firefox. It is bad enough that Linux users are usually easier to track by websites due to their unique user agent strings. The problem does not need to be amplified by the use of an older Firefox in the user agent string.
Comment 1 Russ 2012-06-09 20:01:13 EDT
Just upgraded to firefox.x86_64 0:13.0-1.fc17. It STILL shows as Firefox 10 in the user agent string. It looks like Fedora users are permanently stuck with Firefox 10, at least as far as what the web servers it connects to are concerned.
Comment 2 Martin Stransky 2012-06-11 04:26:10 EDT
what does the about say about your browser and UA string? I can't reproduce it. Do you really have the firefox 12/13 installed?
Comment 3 Martin Stransky 2012-06-11 04:29:46 EDT
The about page means that you just type about: to the URL bar.
Comment 4 Russ 2012-06-11 08:18:27 EDT
(In reply to comment #2)
> what does the about say about your browser and UA string? I can't reproduce
> it. Do you really have the firefox 12/13 installed?

Interesting. . .
If the issue is not present for you then it is likely a problem with a Firefox config on my machine.

I'm am not going to waste time filing a bug if it wasn't really Firefox 13 installed. The about page contains too little for me. But I did, however, look at menu item "Help > About Firefox" first after I saw the old user agent string in my web server logs.

More info since you seemed not to believe me about the browser version:

Build identifier: Mozilla/5.0 (Windows NT 6.1; rv:10.0) Gecko/20100101 Firefox/10.0

[root@host russ]# rpm -q firefox

Your "about:" comment got me thinking, however. So I went to the proper place whre you SHOULD have sent me: "about:config". 

About:config shows that "general.useragent.override" is "user set." It seems that the setting was changed by a Firefox plugin without my knowledge. The package update did not update the user agent string due to that setting. So that resolves the issue for me personally. 

But a bug is there in that the "about:" page should really show the ACTUAL installed version, and not a fake user agent string from a plugin. If there is a manually set user agent then it should be shown along with the actual version. I am also somewhat troubled over the fact that a plugin can override the user agent without me knowing about it, then leaving it that way permanently. 

Both issues are with Mozilla, and not Fedora.
Comment 5 Martin Stransky 2012-06-11 08:39:51 EDT
Yeah, I didn't notice but "Windows NT 6.1;" in the UA looks wrong too. Okay, closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.